input[type=range] {
  -webkit-appearance: none;
  width: 100%;
  margin: 7.5px 0;
  background: transparent;
}
input[type=range]:focus {
  outline: none;
}
input[type=range]::-webkit-slider-runnable-track {
  width: 100%;
  height: 5px;
  cursor: pointer;
  box-shadow: 1.2px 1.2px 0px rgba(0, 0, 0, 0), 0px 0px 1.2px rgba(13, 13, 13, 0);
  background: #c8c8c8;
  border-radius: 25px;
  border: 1px solid #646464;
}
input[type=range]::-webkit-slider-thumb {
  box-shadow: 0px 0px 0px rgba(0, 0, 0, 0), 0px 0px 0px rgba(13, 13, 13, 0);
  border: 1px solid rgba(0, 0, 0, 0.5);
  height: 20px;
  width: 20px;
  border-radius: 50px;
  background: #ffffff;
  cursor: pointer;
  -webkit-appearance: none;
  margin-top: -8.5px;
}
input[type=range]:focus::-webkit-slider-runnable-track {
  background: #c8c8c8;
}
input[type=range]::-moz-range-track {
  width: 100%;
  height: 5px;
  cursor: pointer;
  box-shadow: 1.2px 1.2px 0px rgba(0, 0, 0, 0), 0px 0px 1.2px rgba(13, 13, 13, 0);
  background: #c8c8c8;
  border-radius: 25px;
  border: 1px solid #646464;
}
input[type=range]::-moz-range-thumb {
  box-shadow: 0px 0px 0px rgba(0, 0, 0, 0), 0px 0px 0px rgba(13, 13, 13, 0);
  border: 1px solid rgba(0, 0, 0, 0.5);
  height: 20px;
  width: 20px;
  border-radius: 50px;
  background: #ffffff;
  cursor: pointer;
}
input[type=range]::-ms-track {
  width: 100%;
  height: 5px;
  cursor: pointer;
  background: transparent;
  border-color: transparent;
  color: transparent;
}
input[type=range]::-ms-fill-lower {
  background: #c8c8c8;
  border: 1px solid #646464;
  border-radius: 50px;
  box-shadow: 1.2px 1.2px 0px rgba(0, 0, 0, 0), 0px 0px 1.2px rgba(13, 13, 13, 0);
}
input[type=range]::-ms-fill-upper {
  background: #c8c8c8;
  border: 1px solid #646464;
  border-radius: 50px;
  box-shadow: 1.2px 1.2px 0px rgba(0, 0, 0, 0), 0px 0px 1.2px rgba(13, 13, 13, 0);
}
input[type=range]::-ms-thumb {
  box-shadow: 0px 0px 0px rgba(0, 0, 0, 0), 0px 0px 0px rgba(13, 13, 13, 0);
  border: 1px solid rgba(0, 0, 0, 0.5);
  height: 20px;
  width: 20px;
  border-radius: 50px;
  background: #ffffff;
  cursor: pointer;
  height: 5px;
}
input[type=range]:focus::-ms-fill-lower {
  background: #c8c8c8;
}
input[type=range]:focus::-ms-fill-upper {
  background: #c8c8c8;
}
